XPM library 3.4k

Date of last revision: 5/12/2000

XPM contains library support for X pixmaps, as well as simple tools to display or check the validity of XPM files.

XPM library 3.4k help index:


Availability

XPM is available on all HP, and SGI workstations. It is available on Sun workstations running Solaris 2.6 or later, and Linux PC workstations.

Preparation

Setup scripts are required to use the XPM tools, but not to use the XPM library in your programs. XPM library 3.4k uses standard setup scripts. You must type

setup xpm

to use this application. If you want to run this version of the software even if other versions are available, use xpm-3.4k instead of xpm in your setup statement.

See "helpme setup" for information on finding out what versions are available or what to do if the setup statement does not work.


Running XPM library 3.4k

Compile your application with the flag

-I/opt/xpm/include

and link using the flags

-L/opt/xpm/lib -lxpm

(on Solaris, you may also need -R/opt/xpm/lib)

Note: To use version 3.4k regardless of the current system default, use /opt/xpm-3.4k/SYSTEM/[include|lib], where SYSTEM is the output of the command /usr/local/sbin/ecss-sysident -os-minor -arch.

Utility programs